Skip to content

Products

23672 products

Zomodo Panama Slim 46" Prep Station PSC1200K

Prep Station

Zomodo Panama Slim 46" Prep Station PSC1200K

Regular price
Sale price $1,563.75 CAD Regular price $2,085.00 CAD
Canadian
Zomodo Piato 30 - Brushed SS
Overall Dimensions: Height: 14⅝" Reach: 9⅝" KTC030-BR

SINGLE HOLE KITCHEN FAUCET

Zomodo Piato 30 - Brushed SS Overall Dimensions: Height: 14⅝" Reach: 9⅝" KTC030-BR

Regular price
Sale price $465.00 CAD Regular price $620.00 CAD
Canadian
Zomodo Piato 30 - Full Matte Black
Overall Dimensions: Height: 14⅝" Reach: 9⅝" KTC030-FBD

SINGLE HOLE KITCHEN FAUCET

Zomodo Piato 30 - Full Matte Black Overall Dimensions: Height: 14⅝" Reach: 9⅝" KTC030-FBD

Regular price
Sale price $513.75 CAD Regular price $685.00 CAD
Canadian
Zomodo Platinum Sonix 17" Single / Bar Kit PTC381-SX

Bar Sinks

Zomodo Platinum Sonix 17" Single / Bar Kit PTC381-SX

Regular price
Sale price $862.50 CAD Regular price $1,150.00 CAD
Canadian
Zomodo Platinum Sonix 31" Low Divide 60/40 Double Kit PTC457DC-SX

Double Bowl Kitchen Sinks

Zomodo Platinum Sonix 31" Low Divide 60/40 Double Kit PTC457DC-SX

Regular price
Sale price $1,698.75 CAD Regular price $2,265.00 CAD
Canadian
Zomodo Platinum Sonix 32" x 18" Super Single Kit PTC762-SX

Single Bowl Kitchen Sink

Zomodo Platinum Sonix 32" x 18" Super Single Kit PTC762-SX

Regular price
Sale price $1,260.00 CAD Regular price $1,680.00 CAD
Canadian
Zomodo Platinum Sonix 34" Low Divide 50/50 Double Kit PTC406DC-SX

Double Bowl Kitchen Sinks

Zomodo Platinum Sonix 34" Low Divide 50/50 Double Kit PTC406DC-SX

Regular price
Sale price $1,770.00 CAD Regular price $2,360.00 CAD
Canadian
Zomodo Pot Filler - Brushed SS
Overall Dimensions: Extended Reach: 25⅛", Retracted Reach: 13½" KTC043-BR

POT FILLER

Zomodo Pot Filler - Brushed SS Overall Dimensions: Extended Reach: 25⅛", Retracted Reach: 13½" KTC043-BR

Regular price
Sale price $521.25 CAD Regular price $695.00 CAD
Canadian
Zomodo Pot Filler - Eureka Gold
Overall Dimensions: Extended Reach: 25⅛", Retracted Reach: 13½" KTC043-EG

POT FILLER

Zomodo Pot Filler - Eureka Gold Overall Dimensions: Extended Reach: 25⅛", Retracted Reach: 13½" KTC043-EG

Regular price
Sale price $596.25 CAD Regular price $795.00 CAD
Canadian
Zomodo Pot Filler - Rio Bronze
Overall Dimensions: Extended Reach: 25⅛", Retracted Reach: 13½" KTC043-RB

POT FILLER

Zomodo Pot Filler - Rio Bronze Overall Dimensions: Extended Reach: 25⅛", Retracted Reach: 13½" KTC043-RB

Regular price
Sale price $596.25 CAD Regular price $795.00 CAD
Canadian
Zomodo Power Tower V2 PTC03

PAPER TOWEL

Zomodo Power Tower V2 PTC03

Regular price
Sale price $108.75 CAD Regular price $145.00 CAD
Canadian
Zomodo PSC002-2-3 Panama Large Prep Container/Ice Bucket - 2/3 Module PSC002-2-3

ICE BUCKET

Zomodo PSC002-2-3 Panama Large Prep Container/Ice Bucket - 2/3 Module PSC002-2-3

Regular price
Sale price $112.50 CAD Regular price $150.00 CAD
Canadian
Zomodo PSC005-1-3 Panama Small Prep Container - 1/3 Module PSC005-1-3

ICE BUCKET

Zomodo PSC005-1-3 Panama Small Prep Container - 1/3 Module PSC005-1-3

Regular price
Sale price $82.50 CAD Regular price $110.00 CAD
Canadian
Zomodo Revo 23" Single SINK   RFC130U

SINGLE SINK

Zomodo Revo 23" Single SINK RFC130U

Regular price
Sale price $315.00 CAD Regular price $420.00 CAD
Canadian
Zomodo Revo 23" Single SINK  RFC130

SINGLE SINK

Zomodo Revo 23" Single SINK RFC130

Regular price
Sale price $326.25 CAD Regular price $435.00 CAD
Canadian
Zomodo Revo 31" 50/50 Double TOP MOUNT / FLUSH MOUNT  RFC200

SINGLE SINK

Zomodo Revo 31" 50/50 Double TOP MOUNT / FLUSH MOUNT RFC200

Regular price
Sale price $446.25 CAD Regular price $595.00 CAD
Zomodo Revo 31" 50/50 Double UNDERMOUNT 
  RFC200U

SINGLE SINK

Zomodo Revo 31" 50/50 Double UNDERMOUNT RFC200U

Regular price
Sale price $412.50 CAD Regular price $550.00 CAD
Zomodo Revo 32" Single SINK  RFC140

SINGLE SINK

Zomodo Revo 32" Single SINK RFC140

Regular price
Sale price $420.00 CAD Regular price $560.00 CAD
Canadian
Zomodo Rio Bronze 12" Standing Vessel Faucet VTC012-RB

Vessel Faucet

Zomodo Rio Bronze 12" Standing Vessel Faucet VTC012-RB

Regular price
Sale price $326.25 CAD Regular price $435.00 CAD
Canadian
Zomodo Rio Bronze 5" Cabinet Handle HAC180-RB

Cabinet Handle

Zomodo Rio Bronze 5" Cabinet Handle HAC180-RB

Regular price
Sale price $45.00 CAD Regular price $60.00 CAD
Canadian
Fast Delivery
Secure Payment
Customer Support
Live Shopping Assistance